package persistance.interfaces;

import java.util.List;
import java.util.Optional;

import javax.ws.rs.core.Response;

public abstract interface Iabm<T> {
	
    Optional<T> get(Class<T> clase, long id);
    
    List<T> getAll(Class<T> clase);
    
    Response.Status save(T t);
    
    Response.Status update(T t);
    
    Response.Status delete(T t);
}
